<?php

namespace Database\Seeders;

use App\Models\Language;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class LanguagesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $languages = array(
            array('code'=>"ab", 'name'=>"Abkhaz", 'nativeName'=>"аҧсуа" ),
            array('code'=>"aa", 'name'=>"Afar", 'nativeName'=>"Afaraf" ),
            array('code'=>"af", 'name'=>"Afrikaans", 'nativeName'=>"Afrikaans" ),
            array('code'=>"ak", 'name'=>"Akan", 'nativeName'=>"Akan" ),
            array('code'=>"sq", 'name'=>"Albanian", 'nativeName'=>"Shqip" ),
            array('code'=>"am", 'name'=>"Amharic", 'nativeName'=>"አማርኛ" ),
            array('code'=>"ar", 'name'=>"Arabic", 'nativeName'=>"العربية" ),
            array('code'=>"an", 'name'=>"Aragonese", 'nativeName'=>"Aragonés" ),
            array('code'=>"hy", 'name'=>"Armenian", 'nativeName'=>"Հայերեն" ),
            array('code'=>"as", 'name'=>"Assamese", 'nativeName'=>"অসমীয়া" ),
            array('code'=>"av", 'name'=>"Avaric", 'nativeName'=>"авар мацӀ, магӀарул мацӀ" ),
            array('code'=>"ae", 'name'=>"Avestan", 'nativeName'=>"avesta" ),
            array('code'=>"ay", 'name'=>"Aymara", 'nativeName'=>"aymar aru" ),
            array('code'=>"az", 'name'=>"Azerbaijani", 'nativeName'=>"azərbaycan dili" ),
            array('code'=>"bm", 'name'=>"Bambara", 'nativeName'=>"bamanankan" ),
            array('code'=>"ba", 'name'=>"Bashkir", 'nativeName'=>"башҡорт теле" ),
            array('code'=>"eu", 'name'=>"Basque", 'nativeName'=>"euskara, euskera" ),
            array('code'=>"be", 'name'=>"Belarusian", 'nativeName'=>"Беларуская" ),
            array('code'=>"bn", 'name'=>"Bengali", 'nativeName'=>"বাংলা" ),
            array('code'=>"bh", 'name'=>"Bihari", 'nativeName'=>"भोजपुरी" ),
            array('code'=>"bi", 'name'=>"Bislama", 'nativeName'=>"Bislama" ),
            array('code'=>"bs", 'name'=>"Bosnian", 'nativeName'=>"bosanski jezik" ),
            array('code'=>"br", 'name'=>"Breton", 'nativeName'=>"brezhoneg" ),
            array('code'=>"bg", 'name'=>"Bulgarian", 'nativeName'=>"български език" ),
            array('code'=>"my", 'name'=>"Burmese", 'nativeName'=>"ဗမာစာ" ),
            array('code'=>"ca", 'name'=>"Catalan; Valencian", 'nativeName'=>"Català" ),
            array('code'=>"ch", 'name'=>"Chamorro", 'nativeName'=>"Chamoru" ),
            array('code'=>"ce", 'name'=>"Chechen", 'nativeName'=>"нохчийн мотт" ),
            array('code'=>"ny", 'name'=>"Chichewa; Chewa; Nyanja", 'nativeName'=>"chiCheŵa, chinyanja" ),
            array('code'=>"zh", 'name'=>"Chinese", 'nativeName'=>"中文 (Zhōngwén), 汉语, 漢語" ),
            array('code'=>"cv", 'name'=>"Chuvash", 'nativeName'=>"чӑваш чӗлхи" ),
            array('code'=>"kw", 'name'=>"Cornish", 'nativeName'=>"Kernewek" ),
            array('code'=>"co", 'name'=>"Corsican", 'nativeName'=>"corsu, lingua corsa" ),
            array('code'=>"cr", 'name'=>"Cree", 'nativeName'=>"ᓀᐦᐃᔭᐍᐏᐣ" ),
            array('code'=>"hr", 'name'=>"Croatian", 'nativeName'=>"hrvatski" ),
            array('code'=>"cs", 'name'=>"Czech", 'nativeName'=>"česky, čeština" ),
            array('code'=>"da", 'name'=>"Danish", 'nativeName'=>"dansk" ),
            array('code'=>"dv", 'name'=>"Divehi; Dhivehi; Maldivian;", 'nativeName'=>"ދިވެހި" ),
            array('code'=>"nl", 'name'=>"Dutch", 'nativeName'=>"Nederlands, Vlaams" ),
            array('code'=>"en", 'name'=>"English", 'nativeName'=>"English" ),
            array('code'=>"eo", 'name'=>"Esperanto", 'nativeName'=>"Esperanto" ),
            array('code'=>"et", 'name'=>"Estonian", 'nativeName'=>"eesti, eesti keel" ),
            array('code'=>"ee", 'name'=>"Ewe", 'nativeName'=>"Eʋegbe" ),
            array('code'=>"fo", 'name'=>"Faroese", 'nativeName'=>"føroyskt" ),
            array('code'=>"fj", 'name'=>"Fijian", 'nativeName'=>"vosa Vakaviti" ),
            array('code'=>"fi", 'name'=>"Finnish", 'nativeName'=>"suomi, suomen kieli" ),
            array('code'=>"fr", 'name'=>"French", 'nativeName'=>"français, langue française" ),
            array('code'=>"ff", 'name'=>"Fula; Fulah; Pulaar; Pular", 'nativeName'=>"Fulfulde, Pulaar, Pular" ),
            array('code'=>"gl", 'name'=>"Galician", 'nativeName'=>"Galego" ),
            array('code'=>"ka", 'name'=>"Georgian", 'nativeName'=>"ქართული" ),
            array('code'=>"de", 'name'=>"German", 'nativeName'=>"Deutsch" ),
            array('code'=>"el", 'name'=>"Greek, Modern", 'nativeName'=>"Ελληνικά" ),
            array('code'=>"gn", 'name'=>"Guaraní", 'nativeName'=>"Avañeẽ" ),
            array('code'=>"gu", 'name'=>"Gujarati", 'nativeName'=>"ગુજરાતી" ),
            array('code'=>"ht", 'name'=>"Haitian; Haitian Creole", 'nativeName'=>"Kreyòl ayisyen" ),
            array('code'=>"ha", 'name'=>"Hausa", 'nativeName'=>"Hausa, هَوُسَ" ),
            array('code'=>"he", 'name'=>"Hebrew (modern)", 'nativeName'=>"עברית" ),
            array('code'=>"hz", 'name'=>"Herero", 'nativeName'=>"Otjiherero" ),
            array('code'=>"hi", 'name'=>"Hindi", 'nativeName'=>"हिन्दी, हिंदी" ),
            array('code'=>"ho", 'name'=>"Hiri Motu", 'nativeName'=>"Hiri Motu" ),
            array('code'=>"hu", 'name'=>"Hungarian", 'nativeName'=>"Magyar" ),
            array('code'=>"ia", 'name'=>"Interlingua", 'nativeName'=>"Interlingua" ),
            array('code'=>"id", 'name'=>"Indonesian", 'nativeName'=>"Bahasa Indonesia" ),
            array('code'=>"ie", 'name'=>"Interlingue", 'nativeName'=>"Originally called Occidental; then Interlingue after WWII" ),
            array('code'=>"ga", 'name'=>"Irish", 'nativeName'=>"Gaeilge" ),
            array('code'=>"ig", 'name'=>"Igbo", 'nativeName'=>"Asụsụ Igbo" ),
            array('code'=>"ik", 'name'=>"Inupiaq", 'nativeName'=>"Iñupiaq, Iñupiatun" ),
            array('code'=>"io", 'name'=>"Ido", 'nativeName'=>"Ido" ),
            array('code'=>"is", 'name'=>"Icelandic", 'nativeName'=>"Íslenska" ),
            array('code'=>"it", 'name'=>"Italian", 'nativeName'=>"Italiano" ),
            array('code'=>"iu", 'name'=>"Inuktitut", 'nativeName'=>"ᐃᓄᒃᑎᑐᑦ" ),
            array('code'=>"ja", 'name'=>"Japanese", 'nativeName'=>"日本語 (にほんご／にっぽんご)" ),
            array('code'=>"jv", 'name'=>"Javanese", 'nativeName'=>"basa Jawa" ),
            array('code'=>"kl", 'name'=>"Kalaallisut, Greenlandic", 'nativeName'=>"kalaallisut, kalaallit oqaasii" ),
            array('code'=>"kn", 'name'=>"Kannada", 'nativeName'=>"ಕನ್ನಡ" ),
            array('code'=>"kr", 'name'=>"Kanuri", 'nativeName'=>"Kanuri" ),
            array('code'=>"ks", 'name'=>"Kashmiri", 'nativeName'=>"कश्मीरी, كشميري‎" ),
            array('code'=>"kk", 'name'=>"Kazakh", 'nativeName'=>"Қазақ тілі" ),
            array('code'=>"km", 'name'=>"Khmer", 'nativeName'=>"ភាសាខ្មែរ" ),
            array('code'=>"ki", 'name'=>"Kikuyu, Gikuyu", 'nativeName'=>"Gĩkũyũ" ),
            array('code'=>"rw", 'name'=>"Kinyarwanda", 'nativeName'=>"Ikinyarwanda" ),
            array('code'=>"ky", 'name'=>"Kirghiz, Kyrgyz", 'nativeName'=>"кыргыз тили" ),
            array('code'=>"kv", 'name'=>"Komi", 'nativeName'=>"коми кыв" ),
            array('code'=>"kg", 'name'=>"Kongo", 'nativeName'=>"KiKongo" ),
            array('code'=>"ko", 'name'=>"Korean", 'nativeName'=>"한국어 (韓國語), 조선말 (朝鮮語)" ),
            array('code'=>"ku", 'name'=>"Kurdish", 'nativeName'=>"Kurdî, كوردی‎" ),
            array('code'=>"kj", 'name'=>"Kwanyama, Kuanyama", 'nativeName'=>"Kuanyama" ),
            array('code'=>"la", 'name'=>"Latin", 'nativeName'=>"latine, lingua latina" ),
            array('code'=>"lb", 'name'=>"Luxembourgish, Letzeburgesch", 'nativeName'=>"Lëtzebuergesch" ),
            array('code'=>"lg", 'name'=>"Luganda", 'nativeName'=>"Luganda" ),
            array('code'=>"li", 'name'=>"Limburgish, Limburgan, Limburger", 'nativeName'=>"Limburgs" ),
            array('code'=>"ln", 'name'=>"Lingala", 'nativeName'=>"Lingála" ),
            array('code'=>"lo", 'name'=>"Lao", 'nativeName'=>"ພາສາລາວ" ),
            array('code'=>"lt", 'name'=>"Lithuanian", 'nativeName'=>"lietuvių kalba" ),
            array('code'=>"lu", 'name'=>"Luba-Katanga", 'nativeName'=>"" ),
            array('code'=>"lv", 'name'=>"Latvian", 'nativeName'=>"latviešu valoda" ),
            array('code'=>"gv", 'name'=>"Manx", 'nativeName'=>"Gaelg, Gailck" ),
            array('code'=>"mk", 'name'=>"Macedonian", 'nativeName'=>"македонски јазик" ),
            array('code'=>"mg", 'name'=>"Malagasy", 'nativeName'=>"Malagasy fiteny" ),
            array('code'=>"ms", 'name'=>"Malay", 'nativeName'=>"bahasa Melayu, بهاس ملايو‎" ),
            array('code'=>"ml", 'name'=>"Malayalam", 'nativeName'=>"മലയാളം" ),
            array('code'=>"mt", 'name'=>"Maltese", 'nativeName'=>"Malti" ),
            array('code'=>"mi", 'name'=>"Māori", 'nativeName'=>"te reo Māori" ),
            array('code'=>"mr", 'name'=>"Marathi (Marāṭhī)", 'nativeName'=>"मराठी" ),
            array('code'=>"mh", 'name'=>"Marshallese", 'nativeName'=>"Kajin M̧ajeļ" ),
            array('code'=>"mn", 'name'=>"Mongolian", 'nativeName'=>"монгол" ),
            array('code'=>"na", 'name'=>"Nauru", 'nativeName'=>"Ekakairũ Naoero" ),
            array('code'=>"nv", 'name'=>"Navajo, Navaho", 'nativeName'=>"Diné bizaad, Dinékʼehǰí" ),
            array('code'=>"nb", 'name'=>"Norwegian Bokmål", 'nativeName'=>"Norsk bokmål" ),
            array('code'=>"nd", 'name'=>"North Ndebele", 'nativeName'=>"isiNdebele" ),
            array('code'=>"ne", 'name'=>"Nepali", 'nativeName'=>"नेपाली" ),
            array('code'=>"ng", 'name'=>"Ndonga", 'nativeName'=>"Owambo" ),
            array('code'=>"nn", 'name'=>"Norwegian Nynorsk", 'nativeName'=>"Norsk nynorsk" ),
            array('code'=>"no", 'name'=>"Norwegian", 'nativeName'=>"Norsk" ),
            array('code'=>"ii", 'name'=>"Nuosu", 'nativeName'=>"ꆈꌠ꒿ Nuosuhxop" ),
            array('code'=>"nr", 'name'=>"South Ndebele", 'nativeName'=>"isiNdebele" ),
            array('code'=>"oc", 'name'=>"Occitan", 'nativeName'=>"Occitan" ),
            array('code'=>"oj", 'name'=>"Ojibwe, Ojibwa", 'nativeName'=>"ᐊᓂᔑᓈᐯᒧᐎᓐ" ),
            array('code'=>"cu", 'name'=>"Church Slavic", 'nativeName'=>"ѩзыкъ словѣньскъ" ),
            array('code'=>"om", 'name'=>"Oromo", 'nativeName'=>"Afaan Oromoo" ),
            array('code'=>"or", 'name'=>"Oriya", 'nativeName'=>"ଓଡ଼ିଆ" ),
            array('code'=>"os", 'name'=>"Ossetian, Ossetic", 'nativeName'=>"ирон æвзаг" ),
            array('code'=>"pa", 'name'=>"Panjabi, Punjabi", 'nativeName'=>"ਪੰਜਾਬੀ, پنجابی‎" ),
            array('code'=>"pi", 'name'=>"Pāli", 'nativeName'=>"पाऴि" ),
            array('code'=>"fa", 'name'=>"Persian", 'nativeName'=>"فارسی" ),
            array('code'=>"pl", 'name'=>"Polish", 'nativeName'=>"polski" ),
            array('code'=>"ps", 'name'=>"Pashto, Pushto", 'nativeName'=>"پښتو" ),
            array('code'=>"pt", 'name'=>"Portuguese", 'nativeName'=>"Português" ),
            array('code'=>"qu", 'name'=>"Quechua", 'nativeName'=>"Runa Simi, Kichwa" ),
            array('code'=>"rm", 'name'=>"Romansh", 'nativeName'=>"rumantsch grischun" ),
            array('code'=>"rn", 'name'=>"Kirundi", 'nativeName'=>"kiRundi" ),
            array('code'=>"ro", 'name'=>"Romanian, Moldavian, Moldovan", 'nativeName'=>"română" ),
            array('code'=>"ru", 'name'=>"Russian", 'nativeName'=>"русский язык" ),
            array('code'=>"sa", 'name'=>"Sanskrit (Saṁskṛta)", 'nativeName'=>"संस्कृतम्" ),
            array('code'=>"sc", 'name'=>"Sardinian", 'nativeName'=>"sardu" ),
            array('code'=>"sd", 'name'=>"Sindhi", 'nativeName'=>"सिन्धी, سنڌي، سندھی‎" ),
            array('code'=>"se", 'name'=>"Northern Sami", 'nativeName'=>"Davvisámegiella" ),
            array('code'=>"sm", 'name'=>"Samoan", 'nativeName'=>"gagana faa Samoa" ),
            array('code'=>"sg", 'name'=>"Sango", 'nativeName'=>"yângâ tî sängö" ),
            array('code'=>"sr", 'name'=>"Serbian", 'nativeName'=>"српски језик" ),
            array('code'=>"gd", 'name'=>"Scottish Gaelic; Gaelic", 'nativeName'=>"Gàidhlig" ),
            array('code'=>"sn", 'name'=>"Shona", 'nativeName'=>"chiShona" ),
            array('code'=>"si", 'name'=>"Sinhala, Sinhalese", 'nativeName'=>"සිංහල" ),
            array('code'=>"sk", 'name'=>"Slovak", 'nativeName'=>"slovenčina" ),
            array('code'=>"sl", 'name'=>"Slovene", 'nativeName'=>"slovenščina" ),
            array('code'=>"so", 'name'=>"Somali", 'nativeName'=>"Soomaaliga, af Soomaali" ),
            array('code'=>"st", 'name'=>"Southern Sotho", 'nativeName'=>"Sesotho" ),
            array('code'=>"es", 'name'=>"Spanish; Castilian", 'nativeName'=>"español, castellano" ),
            array('code'=>"su", 'name'=>"Sundanese", 'nativeName'=>"Basa Sunda" ),
            array('code'=>"sw", 'name'=>"Swahili", 'nativeName'=>"Kiswahili" ),
            array('code'=>"ss", 'name'=>"Swati", 'nativeName'=>"SiSwati" ),
            array('code'=>"sv", 'name'=>"Swedish", 'nativeName'=>"svenska" ),
            array('code'=>"ta", 'name'=>"Tamil", 'nativeName'=>"தமிழ்" ),
            array('code'=>"te", 'name'=>"Telugu", 'nativeName'=>"తెలుగు" ),
            array('code'=>"tg", 'name'=>"Tajik", 'nativeName'=>"тоҷикӣ, toğikī, تاجیکی‎" ),
            array('code'=>"th", 'name'=>"Thai", 'nativeName'=>"ไทย" ),
            array('code'=>"ti", 'name'=>"Tigrinya", 'nativeName'=>"ትግርኛ" ),
            array('code'=>"bo", 'name'=>"Tibetan Standard, Tibetan, Central", 'nativeName'=>"བོད་ཡིག" ),
            array('code'=>"tk", 'name'=>"Turkmen", 'nativeName'=>"Türkmen, Түркмен" ),
            array('code'=>"tl", 'name'=>"Tagalog", 'nativeName'=>"Wikang Tagalog, ᜏᜒᜃᜅ᜔ ᜆᜄᜎᜓᜄ᜔" ),
            array('code'=>"tn", 'name'=>"Tswana", 'nativeName'=>"Setswana" ),
            array('code'=>"to", 'name'=>"Tonga (Tonga Islands)", 'nativeName'=>"faka Tonga" ),
            array('code'=>"tr", 'name'=>"Turkish", 'nativeName'=>"Türkçe" ),
            array('code'=>"ts", 'name'=>"Tsonga", 'nativeName'=>"Xitsonga" ),
            array('code'=>"tt", 'name'=>"Tatar", 'nativeName'=>"татарча, tatarça, تاتارچا‎" ),
            array('code'=>"tw", 'name'=>"Twi", 'nativeName'=>"Twi" ),
            array('code'=>"ty", 'name'=>"Tahitian", 'nativeName'=>"Reo Tahiti" ),
            array('code'=>"ug", 'name'=>"Uighur, Uyghur", 'nativeName'=>"Uyƣurqə, ئۇيغۇرچە‎" ),
            array('code'=>"uk", 'name'=>"Ukrainian", 'nativeName'=>"українська" ),
            array('code'=>"ur", 'name'=>"Urdu", 'nativeName'=>"اردو" ),
            array('code'=>"uz", 'name'=>"Uzbek", 'nativeName'=>"zbek, Ўзбек, أۇزبېك‎" ),
            array('code'=>"ve", 'name'=>"Venda", 'nativeName'=>"Tshivenḓa" ),
            array('code'=>"vi", 'name'=>"Vietnamese", 'nativeName'=>"Tiếng Việt" ),
            array('code'=>"vo", 'name'=>"Volapük", 'nativeName'=>"Volapük" ),
            array('code'=>"wa", 'name'=>"Walloon", 'nativeName'=>"Walon" ),
            array('code'=>"cy", 'name'=>"Welsh", 'nativeName'=>"Cymraeg" ),
            array('code'=>"wo", 'name'=>"Wolof", 'nativeName'=>"Wollof" ),
            array('code'=>"fy", 'name'=>"Western Frisian", 'nativeName'=>"Frysk" ),
            array('code'=>"xh", 'name'=>"Xhosa", 'nativeName'=>"isiXhosa" ),
            array('code'=>"yi", 'name'=>"Yiddish", 'nativeName'=>"ייִדיש" ),
            array('code'=>"yo", 'name'=>"Yoruba", 'nativeName'=>"Yorùbá" ),
            array('code'=>"za", 'name'=>"Zhuang, Chuang", 'nativeName'=>"Saɯ cueŋƅ, Saw cuengh" )
        );
     
        foreach($languages as $language){
            Language::create([
                'code' => $language['code'],
                'name' => $language['name'],
                'nativeName' => $language['nativeName'],
            ]);
        }
    }
}
