export interface AppTranslations {
   view: string;
   home: string;
   link: string;
   users: string;
   block: string;
   cancel: string;
   submit: string;
   qr_code: string;
   pricing: string;
   create: string;
   update: string;
   profile: string;
   default: string;
   user_panel: string;
   dashboard: string;
   bio_links: string;
   short_links: string;
   projects: string;
   qr_codes: string;
   current_plan: string;
   settings: string;
   log_in: string;
   log_out: string;
   admin_panel: string;
   subscriptions: string;
   pricing_plans: string;
   create_pricing_plan: string;
   update_pricing_plan: string;
   new_subscription_plan: string;
   subscription_plan_features: string;
   testimonials: string;
   manage_themes: string;
   payments_setup: string;
   custom_page: string;
   app_settings: string;
   translation: string;
   app_control: string;
   get_another_link: string;
   get_your_link: string;
   save_changes: string;
   features: string;
   create_link: string;
   create_testimonials: string;
   update_testimonials: string;
   update_link: string;
   create_project: string;
   update_project: string;
   create_qr_code: string;
   corner_radius: string;
   corner_color: string;
   qr_logo: string;
   top_left: string;
   top_right: string;
   bottom_left: string;
   save_qrcode: string;
   download: string;
   pricing_plans_subtitle: string;
   monthly: string;
   yearly: string;
   edit_plan: string;
   basic_plan: string;
   standard_plan: string;
   premium_plan: string;
   sign_up_button: string;
   select_plan: string;
   update_plan: string;
   testimonial_subtitle: string;
   address: string;
   company: string;
   follow_on: string;
   copyrights: string;
   biolinks_create: string;
   biolink_blocks_access: string;
   shortlinks_create: string;
   projects_create: string;
   qrcodes_create: string;
   theme_access: string;
   custom_theme_create_allow: string;
   custom_theme_create_not_allow: string;
   hours_support: string;
   total_view: string;
   total_users: string;
   total_links: string;
   links_pageview: string;
   total_projects: string;
   total_qr_codes: string;
   monthly_activities: string;
   daily_activities: string;
   edit_profile: string;
   forget_password: string;
   password_change_link: string;
   change_password: string;
   change_email: string;
   email_change_link: string;
   update_user: string;
   update_theme: string;
   stripe_payment_gateway: string;
   razorpay_payment_gateway: string;
   paypal_payment_gateway: string;
   mollie_payment_gateway: string;
   paystack_payment_gateway: string;
   create_custom_page: string;
   update_custom_page: string;
   global_settings: string;
   google_auth_settings: string;
   smtp_settings: string;
   smtp_settings_warning: string;
   current_version: string;
   latest_version: string;
   update_app_version: string;
   available_languages: string;
   add_languages: string;
   app_translation: string;
   input_translation: string;
   settings: string;
   blocks: string;
   preview: string;
   link_preview: string;
   add_block: string;
   available_themes: string;
   create_custom_theme: string;
   change_logo: string;
   social_links: string;
   biolink_blocks: string;
}

export interface InputTranslations {
   bio_link_name: string;
   bio_link_name_placeholder: string;
   link_username: string;
   link_username_placeholder: string;
   short_link_name: string;
   short_link_name_placeholder: string;
   short_link_slug: string;
   short_link_slug_placeholder: string;
   external_url: string;
   external_url_placeholder: string;
   project_name: string;
   project_name_placeholder: string;
   select_project: string;
   qr_content: string;
   qr_content_placeholder: string;
   qr_size: string;
   qr_padding: string;
   ec_level: string;
   qr_style: string;
   bg_color: string;
   qr_color: string;
   outside: string;
   inside: string;
   style: string;
   opacity: string;
   padding: string;
   width: string;
   height: string;
   profile_picture: string;
   full_name: string;
   full_name_placeholder: string;
   phone: string;
   name: string;
   testimonial: string;
   testimonial_placeholder: string;
   testimonial_name_placeholder: string;
   phone_placeholder: string;
   email_address: string;
   email_address_placeholder: string;
   current_password: string;
   current_password_placeholder: string;
   new_password: string;
   new_password_placeholder: string;
   retype_password: string;
   retype_password_placeholder: string;
   current_email: string;
   current_email_placeholder: string;
   new_email: string;
   new_email_placeholder: string;
   user_status: string;
   plan_name: string;
   description: string;
   description_placeholder: string;
   monthly_price: string;
   monthly_price_placeholder: string;
   yearly_price: string;
   yearly_price_placeholder: string;
   currency: string;
   unlimited: string;
   plan_status: string;
   biolink_create: string;
   biolink_create_placeholder: string;
   biolink_block_access: string;
   shortlink_create: string;
   shortlink_create_placeholder: string;
   remove_qrcode_behind_logo: string;
   project_create: string;
   project_create_placeholder: string;
   qrcode_create: string;
   qrcode_create_placeholder: string;
   theme_access: string;
   custom_theme_create: string;
   support: string;
   theme_type: string;
   allow_stripe: string;
   stripe_api_key: string;
   stripe_api_key_placeholder: string;
   stripe_api_secret: string;
   stripe_api_secret_placeholder: string;
   allow_razorpay: string;
   razorpay_api_key: string;
   razorpay_api_key_placeholder: string;
   razorpay_api_secret: string;
   razorpay_api_secret_placeholder: string;
   allow_paypal: string;
   paypal_client_key: string;
   paypal_client_key_placeholder: string;
   paypal_client_secret: string;
   paypal_client_secret_placeholder: string;
   allow_mollie: string;
   mollie_key: string;
   mollie_key_placeholder: string;
   allow_paystack: string;
   paystack_client_key: string;
   paystack_client_key_placeholder: string;
   paystack_client_secret: string;
   paystack_client_secret_placeholder: string;
   page_name: string;
   page_name_placeholder: string;
   page_route: string;
   page_route_placeholder: string;
   page_content: string;
   app_logo: string;
   app_title: string;
   app_title_placeholder: string;
   app_copyright: string;
   app_copyright_placeholder: string;
   app_description: string;
   app_description_placeholder: string;
   allow_google_login: string;
   google_client_id: string;
   google_client_id_placeholder: string;
   google_client_secret: string;
   google_client_secret_placeholder: string;
   google_redirect_url: string;
   google_redirect_url_placeholder: string;
   mailer: string;
   smtp_host: string;
   smtp_host_placeholder: string;
   smtp_port: string;
   smtp_port_placeholder: string;
   smtp_username: string;
   smtp_username_placeholder: string;
   smtp_password: string;
   smtp_password_placeholder: string;
   sender_email: string;
   sender_email_placeholder: string;
   sender_name: string;
   sender_name_placeholder: string;
   smtp_encryption: string;
   admin_email: string;
   admin_email_placeholder: string;
   social_icons_color: string;
   link_title: string;
   link_title_placeholder: string;
   link_url: string;
   link_url_placeholder: string;
   heading_type: string;
   heading_text: string;
   heading_text_placeholder: string;
   title: string;
   title_placeholder: string;
   select_image: string;
   image_alt: string;
   image_alt_placeholder: string;
   image_url: string;
   image_url_placeholder: string;
   video_title: string;
   video_title_placeholder: string;
   video_url_placeholder: string;
   sound_cloud_video_url: string;
   youtube_video_url: string;
   spotify_video_url: string;
   vimeo_video_url: string;
   tiktok_video_url: string;
}
